<?xml version="1.0" encoding="utf-8"?>
<com.lihang.ShadowLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="@dimen/dp_9"
    android:layout_marginEnd="@dimen/dp_9"
    app:hl_cornerRadius="@dimen/dp_8"
    app:hl_shadowColor="@color/color_shadow"
    app:hl_shadowLimit="@dimen/dp_7">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingStart="@dimen/dp_12"
        android:paddingTop="@dimen/dp_16"
        android:paddingEnd="@dimen/dp_12"
        android:paddingBottom="@dimen/dp_16">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_cover"
            android:layout_width="@dimen/dp_110"
            android:layout_height="@dimen/dp_80"
            android:src="@mipmap/ic_launcher_icon"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_12"
            android:ellipsize="end"
            android:fontFamily="sans-serif-medium"
            android:maxLines="1"
            android:singleLine="true"
            android:text="水泥批发、建筑材料供应"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_15"
            app:layout_constraintEnd_toStartOf="@id/iv_cover"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/iv_cover" />

        <TextView
            android:id="@+id/tv_desc"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_4"
            android:ellipsize="end"
            android:maxLines="1"
            android:singleLine="true"
            android:text="水泥批发"
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_12"
            app:layout_constraintEnd_toEndOf="@id/tv_name"
            app:layout_constraintStart_toStartOf="@id/tv_name"
            app:layout_constraintTop_toBottomOf="@id/tv_name" />

        <TextView
            android:id="@+id/tv_price"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:lines="1"
            android:singleLine="true"
            android:text="面议"
            android:textColor="@color/color_ff493c"
            android:textSize="@dimen/sp_20"
            app:layout_constraintBottom_toBottomOf="@id/iv_cover"
            app:layout_constraintEnd_toStartOf="@id/tv_location"
            app:layout_constraintStart_toStartOf="@id/tv_name" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/tv_location"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_18"
            android:layout_marginEnd="@dimen/dp_12"
            android:ellipsize="end"
            android:maxLines="1"
            android:paddingStart="@dimen/dp_4"
            android:paddingEnd="@dimen/dp_4"
            android:singleLine="true"
            android:text="全国"
            android:textColor="@color/color_585d6c"
            android:textSize="@dimen/sp_11"
            app:csb_cornerRadius="@dimen/dp_2"
            app:csb_fillColor="@color/color_f4f6fa"
            app:layout_constraintBottom_toBottomOf="@id/tv_price"
            app:layout_constraintEnd_toStartOf="@id/iv_cover"
            app:layout_constraintTop_toTopOf="@id/tv_price"
            app:layout_constraintWidth_max="72dp" />

        <TextView
            android:id="@+id/tv_company_avatar"
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_12"
            android:background="@mipmap/ic_company_name_avatar_bg"
            android:gravity="center"
            android:text="永康\n市欧"
            android:textColor="@color/white"
            android:textSize="6sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_cover" />

        <TextView
            android:id="@+id/tv_company_name"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_6"
            android:ellipsize="end"
            android:maxLines="1"
            android:singleLine="true"
            android:text="永康市欧努家具有限公司"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@id/tv_company_avatar"
            app:layout_constraintEnd_toStartOf="@id/tv_view_count"
            app:layout_constraintStart_toEndOf="@id/tv_company_avatar"
            app:layout_constraintTop_toTopOf="@id/tv_company_avatar" />

        <TextView
            android:id="@+id/tv_view_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="已浏览 0"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_10"
            app:layout_constraintBottom_toBottomOf="@id/tv_company_avatar"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_company_avatar" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</com.lihang.ShadowLayout>